const listsStore = {
    state: {
        searchVal: '',
        keyword:''
    },
    mutations: {
        setSearchVal: (state, searchVal) => {
            state.searchVal = searchVal
        },
        setKeyword: (state, keyword) => {
            state.keyword = keyword
        },
    },
    actions: {
        saveSearchVal: ({ commit, state }, searchVal) => { 
            commit('setSearchVal', searchVal)
        },
        saveKeyword: ({ commit, state }, keyword) => {
            commit('setKeyword', keyword)
        },
    }
}
export default listsStore;